using System;
using Server;

namespace Server.Items
{
	public class VigorElixir : BaseVigorElixir
	{
		public override int MinRejuv { get{ return 13; } }
		public override int MaxRejuv { get{ return 16; } }
		public override double Delay { get{ return 8.0; } }

		[Constructable]
		public VigorElixir( ) : base( PotionEffect.Vigor )
		{
			Name = "elixir of vigor";
			ItemID = 0x2038;
		}

		public VigorElixir( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
